Subject: bug#18752: 24.3.94; Why is Cygwin Emacs 2x quicker than Windows Emacs?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Oct 2014 08:42:48 +0300

> From: Fabrice Niessen <[email-masked]>
> Cc: [email-masked],  cygwin <[email-masked]>, [email-masked]
> Date: Fri, 17 Oct 2014 23:08:51 +0200
> 
> > You also forgot to tell what compiler options were used for each
> > build.  E.g., if the Cygwin build is optimized, whereas the MinGW
> > build is not, the twofold speedup is expected (I generally see
> > a factor of 2.5 between an optimized and unoptimized build).
> 
> I have no idea how Cygwin Emacs gets compiled, nor Windows Emacs (done
> by Dani). Putting them in Cc.

As Ken points out, the variable system-configuration-options is the
way to tell.

Given that the Cygwin build is optimized, it suffices to show that the
MinGW one isn't, to explain the difference in speed.